/*
 *    Copyright (c) 2018-2025, lengleng All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the name of the yifu4cloud.com developer nor the names of its
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 * Author: lengleng (wangiegie@gmail.com)
 */

package com.yifu.cloud.plus.v1.permission.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.yifu.cloud.plus.v1.yifu.permission.entity.EkpQiwiZhaoPin;

import java.util.Map;

/**
 * 企微招聘
 *
 * @author hgw
 * @date 2024-08-26 17:44:50
 */
public interface EkpQiweiZhaopinService extends IService<EkpQiwiZhaoPin> {
	/**
	 * @Description: 获取全部的列表，用来： 拉取企业微信时，不覆盖数据
	 * @Author: hgw
	 * @Date: 2024/8/26 17:56
	 * @return: java.util.Map<java.lang.String, java.lang.String>
	 **/
	Map<String, String> getZhaoPinAllMap();

}
